/*
 *
 * Copyright (C) 2007-2010 SimplyCore LLC
 * All rights reserved.
 * This file is part of USB IP project.
 * Distributed under Non-disclosure agreement.
 *
 */

#ifndef _PUBLIC_H_
#define _PUBLIC_H_

namespace Usbip
{
	const char cLoaderCharDevice[] = "usbd_cdev";
	const char cLoaderDevice[] = "/dev/usbd_c";
	const char cLoaderDriver[] = "usb-stub-driver";
	const char cConfigurationFile[] = "/etc/usbserver.conf";
	const char cPidFile[] = "/var/run/usbserver.pid";
	const char cLogFile[] = "/var/log/usbserver.log";

	const int nProgramVersion = 0x00020000;

    const int nNetworkVersion = 0xC008040F;
//    const int nNetworkVersion = 0x10000713;  DENVERS MAGIC NUMBER, REMOVED

	const short nDefaultTcpPort = 32032;

    const int maxservercount = 64;
}

#endif //_PUBLIC_H_
