/*
 *
 * Copyright (C) 2007-2010 SimplyCore LLC
 * All rights reserved.
 * This file is part of USB IP project.
 * Distributed under Non-disclosure agreement.
 *
 */

/* Public service interface definition */

#ifndef _PUBSIFCT_
#define _PUBSIFCT_

// sharing side command
// const int nGetStartupState				= 0x1001; - first version shell

const int nGetState						= 0x1002;
const int nShareDevice					= 0x1003;
const int nStopSharing					= 0x1004;
const int nStopSharingAll				= 0x1005;
const int nSetTcpPort					= 0x1006;
const int nGetStartupState				= 0x1007;
const int nGetConnectedClients			= 0x1008;
const int nUpdateInactiveTimeout		= 0x1009;
const int nShareDeviceByHandle			= 0x100a;
const int nStopSharingByHandle			= 0x100b;
const int nSetTcpPortByApi				= 0x100c;
const int nConnectDeviceToClient			= 0x100e;
const int nDisconnectDeviceFromClient			= 0x100f;
const int nCreateCallBackConnection			= 0x1010;
const int nCloseCallBackConnection			= 0x1011;

// conect side command
const int nAddServer					= 0x2001;
const int nRemoveServer					= 0x2002;
const int nConnectDevice				= 0x2003;
const int nDisconnectDevice				= 0x2004;
const int nAddServerToBlackList			= 0x2005;
const int nRemoveServerFromBlackList	= 0x2006;
const int nGetBlackList					= 0x2007;
const int nAddCallBackServer			= 0x2008;

// common command
const int nGetProgramInfo					= 0x3000;
//const int nSetServerMode					= 0x3001; - not used. Use - nUpdateProperties
const int nAddDeviceToExclusionList			= 0x3002;
const int nRemoveDeviceFromExclusionList	= 0x3003;
const int nUpdateProperties					= 0x3004;
const int nSaveProperties					= 0x3005;
const int nRegisterProgram					= 0x3006;
const int nGetVersionInfo					= 0x3007;
const int nRegisterShellEvent				= 0x3008;
const int nDeRegisterShellEvent				= 0x3009;
const int nAddDeviceToExclusionListByHandle			= 0x300a;
const int nRemoveDeviceFromExclusionListByHandle	= 0x300b;

#endif // _PUBSIFCT_
